import request from '@/config/axios'

// 叫号 VO
export interface ScreenQueueVO {
  patId: string // 患者编号
  patName: string // 患者姓名
  patGender: number // 患者性别
  bookDate: Date // 预约日期
  bookCheckType: number // 预约检查类型
  seqNum: number // 排队序号
  status: number // 5:过号 10:排队中 15:已召回 20:候诊准备 30:就诊中 40:就诊完成
  passed: number // 过号标记
  expired: number // 预约过期标记
  jumpFlag: number //插队标记
  roomId: number // 诊室编号
  roomName: string // 诊室名称
  bedNo: string // 诊疗床编号
}

// 叫号屏 API
export const ScreenApi = {
  //
  getRoomScreenData: async () => {
    return await request.get({ url: `/ecg/screen/room-screen-data` })
  },

  getBigScreenData: async () => {
    return await request.get({ url: `/ecg/screen/big-screen-data` })
  },

}
